View Issue Details

IDProjectCategoryView StatusLast Update
0002846Ham Radio DeluxeBugpublic2018-09-11 13:18
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeveritycrashReproducibilityhave not tried
Status closedResolutionfixed 
Product Version6.4.0.873 
Target VersionFixed in Version6.4.0.886 
Summary0002846: Logbook: can crash when initialzing "My Station" tab of ALE
DescriptionNo repro case, since this comes from the Dev Dashboard. Looks like it's somehow possible that a dialog control is not found; that causes a NULL pWnd pointer, which goes unchecked before a call to ::GetClassName(), which needs the m_hWnd member.

A populated stack for the crash is attached in a spreadsheet.

TagsNo tags attached.
ModuleLogbook
Sub-ModuleALE Window
Testing Not Tested

Relationships

Activities

K7ZCZ

2018-08-21 18:39

manager  

Mantis2846Stack.xlsx (16,209 bytes)

K7ZCZ

2018-08-22 13:10

manager   ~0005991

fixed with this checkin:

https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4293

WA9PIE

2018-09-07 17:02

administrator   ~0006125

Unable to test. Accepting this as validated; developer managed topic.

Issue History

Date Modified Username Field Change
2018-08-21 18:38 K7ZCZ New Issue
2018-08-21 18:39 K7ZCZ File Added: Mantis2846Stack.xlsx
2018-08-22 13:10 K7ZCZ Assigned To => K7ZCZ
2018-08-22 13:10 K7ZCZ Status new => resolved
2018-08-22 13:10 K7ZCZ Resolution open => fixed
2018-08-22 13:10 K7ZCZ Note Added: 0005991
2018-08-29 18:39 K7ZCZ Fixed in Version => 6.4.0.877
2018-09-07 17:02 WA9PIE Status resolved => closed
2018-09-07 17:02 WA9PIE Description Updated View Revisions
2018-09-07 17:02 WA9PIE Testing Not Started => Not Tested
2018-09-07 17:02 WA9PIE Note Added: 0006125
2018-09-11 13:15 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2018-09-11 13:18 WA9PIE Fixed in Version 6.4.0.877 => 6.4.0.886